Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231969 - rpm program cannot update freshen packages correctly
Summary: rpm program cannot update freshen packages correctly
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Panu Matilainen
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-13 11:44 UTC by Panos Kavalagios
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-10-24 11:57:04 UTC


Attachments (Terms of Use)

Description Panos Kavalagios 2007-03-13 11:44:15 UTC
Description of problem:


Version-Release number of selected component (if applicable):

RPM version 4.4.2

How reproducible:


Steps to Reproduce:
1. rpm -q audit
audit-1.2.8-1.fc6
2. mkdir /tmp/rpmbug
3. cp audit-1.4.1-1.fc6.i386.rpm audit-1.4-1.fc6.i386.rpm /tmp/rpmbug
4. cd /tmp/rpmbug
5. rpm -Fhv *
  
Actual results:
warning: audit-1.4.1-1.fc6.i386.rpm: Header V3 DSA signature: NOKEY, key ID 4f2a6fd2
warning: package audit = 1.4.1-1.fc6 was already added, skipping audit < 1.4-1.fc6
error: error reading from file audit-1.4-1.fc6.i386.rpm

Expected results:
The newer file should be selected and installed

Additional info:
I used to download all the updates of every Fedora CORE and issue a "rpm -Fhv *"
to install the updates. This was possible in the past, but after a specific CORE
and later I'm getting this error. To bypass the error simply remove the old
versions of the files and issue the "rpm -Fhv *". This is however very
irritating when you have a list of 1,360 rpm package updates.

Comment 1 Jeff Johnson 2007-03-13 16:54:10 UTC
rpm permits only one copy of a package per-transaction to prevent random install behavior
with, say, glibc.i386 and glibc.i686 being installed, what is actiually installed depends on the
order args would be mentioned.

rpm chooses the newest version when given 2 identically named packages, and rpm-4.4.8 takes multilib 
arch into account, and skips packages with incompatible arches.

Fixed UPSTREAM

Comment 2 Red Hat Bugzilla 2007-08-21 05:32:29 UTC
User pnasrat@redhat.com's account has been closed

Comment 3 Panu Matilainen 2007-08-22 06:33:39 UTC
Reassigning to owner after bugzilla made a mess, sorry about the noise...

Comment 4 Panu Matilainen 2007-10-24 11:57:04 UTC
This has been fixed in recent F7 update (see bug 180996) but not planned for FC6.


Note You need to log in before you can comment on or make changes to this bug.